ChangeSet 1.1673.8.43, 2004/03/26 14:39:04-08:00, stern@rowland.harvard.edu

[PATCH] USB: Altsetting update for USB input drivers

This patch continues the update process for the cur_altsetting change.
The drivers in usb/input were all in good shape and needed only minimal
changes.


 drivers/usb/input/aiptek.c    |    2 +-
 drivers/usb/input/kbtab.c     |    2 +-
 drivers/usb/input/powermate.c |    2 +-
 drivers/usb/input/wacom.c     |    2 +-
 drivers/usb/input/xpad.c      |    2 +-
 5 files changed, 5 insertions(+), 5 deletions(-)


diff -Nru a/drivers/usb/input/aiptek.c b/drivers/usb/input/aiptek.c
--- a/drivers/usb/input/aiptek.c	Wed Apr 14 14:36:36 2004
+++ b/drivers/usb/input/aiptek.c	Wed Apr 14 14:36:36 2004
@@ -265,7 +265,7 @@
 	     const struct usb_device_id *id)
 {
 	struct usb_device *dev = interface_to_usbdev (intf);
-	struct usb_host_interface *interface = intf->altsetting + 0;
+	struct usb_host_interface *interface = intf->cur_altsetting;
 	struct usb_endpoint_descriptor *endpoint;
 	struct aiptek *aiptek;
 	int err = -ENOMEM;
diff -Nru a/drivers/usb/input/kbtab.c b/drivers/usb/input/kbtab.c
--- a/drivers/usb/input/kbtab.c	Wed Apr 14 14:36:36 2004
+++ b/drivers/usb/input/kbtab.c	Wed Apr 14 14:36:36 2004
@@ -182,7 +182,7 @@
 	kbtab->dev.dev = &intf->dev;
 	kbtab->usbdev = dev;
 
-	endpoint = &intf->altsetting[0].endpoint[0].desc;
+	endpoint = &intf->cur_altsetting->endpoint[0].desc;
 
 	usb_fill_int_urb(kbtab->irq, dev,
 			 usb_rcvintpipe(dev, endpoint->bEndpointAddress),
diff -Nru a/drivers/usb/input/powermate.c b/drivers/usb/input/powermate.c
--- a/drivers/usb/input/powermate.c	Wed Apr 14 14:36:36 2004
+++ b/drivers/usb/input/powermate.c	Wed Apr 14 14:36:36 2004
@@ -305,7 +305,7 @@
 	int pipe, maxp;
 	char path[64];
 
-	interface = intf->altsetting + 0;
+	interface = intf->cur_altsetting;
 	endpoint = &interface->endpoint[0].desc;
 	if (!(endpoint->bEndpointAddress & 0x80))
 		return -EIO;
diff -Nru a/drivers/usb/input/wacom.c b/drivers/usb/input/wacom.c
--- a/drivers/usb/input/wacom.c	Wed Apr 14 14:36:36 2004
+++ b/drivers/usb/input/wacom.c	Wed Apr 14 14:36:36 2004
@@ -698,7 +698,7 @@
 	wacom->dev.dev = &intf->dev;
 	wacom->usbdev = dev;
 
-	endpoint = &intf->altsetting[0].endpoint[0].desc;
+	endpoint = &intf->cur_altsetting->endpoint[0].desc;
 
 	if (wacom->features->pktlen > 10)
 		BUG();
diff -Nru a/drivers/usb/input/xpad.c b/drivers/usb/input/xpad.c
--- a/drivers/usb/input/xpad.c	Wed Apr 14 14:36:36 2004
+++ b/drivers/usb/input/xpad.c	Wed Apr 14 14:36:36 2004
@@ -252,7 +252,7 @@
 		return -ENOMEM;
         }
 	
-	ep_irq_in = &intf->altsetting[0].endpoint[0].desc;
+	ep_irq_in = &intf->cur_altsetting->endpoint[0].desc;
 	
 	usb_fill_int_urb(xpad->irq_in, udev,
 			 usb_rcvintpipe(udev, ep_irq_in->bEndpointAddress),
